Subject: RE: [SIP] More Torture Test Messages Available

From: Igor Slepchin <[email-masked]>
Date: Tue, 21 Nov 2000 17:46:55 -0500

Typo in test case 38:

Contact: <sip:[email-masked]>;user=phone

Here, user=phone is actually a header parameter, opposite to what the
description says. You probably want the closing angle bracket after the
parameter.

Test case 41:

I'd argue that this message should be rejected with a 400. Section 4.1 lists
SIP version as a literal and doesn't say anything about ignoring leading
zeros. As an example of why rejecting it is a good idea, consider version
numbers like 2.1 and 2.01 - they are unlikely to refer to the same version.

Interestingly, Appendix C mentions that literals are case-insensitive. I
think it is reasonable to explicitly state that the SIP-Version is
case-sensitive. This would make Via definition consistent: it currently
defines protocol-name as either literal "SIP" (case-insensitive) or token
(case-sensitive).

Thank you,
Igor Slepchin

> -----Original Message-----
> From: Neil Deason [mailto:[email-masked]]
> Sent: Tuesday, November 21, 2000 1:30 PM
> To: Sip List
> Subject: [SIP] More Torture Test Messages Available
> 
> 
> The proposed new Torture Test messages have been added to the 
> main SIP web site:
> 
> http://www.cs.columbia.edu/~hgs/sip/bakeoff/testmsg.html
> 
> The new ones are test21.txt onwards. They should also appear in 
> the new verion of the SIP Message Flows draft shortly.
> 
> SIP bakeoff entrants are strongly encouraged to run these tests. 
> In particular entrants to advanced scenario testing at bakeoffs 
> will be expected to have passed all torture tests. 
> 
> Comments, corrections etc welcome.
> Neil.
> -- 
> Ubiquity Software Corporation, UK        http://www.ubiquity.net
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Henning G. Schulzrinne" <[email-masked]>
Date: Tue, 21 Nov 2000 22:07:31 -0500

> description says. You probably want the closing angle bracket after the

Fixed.

> numbers like 2.1 and 2.01 - they are unlikely to refer to the same version.

Version numbers are not real numbers. Typically, you have
2.1,2.2,...,2.9,2.10,2.11, which isn't exactly numerical progression.
Well, the zero issue isn't quite as clear-cut, as RFC 2616 says:

   The version of an HTTP message is indicated by an HTTP-Version field
   in the first line of the message.

       HTTP-Version   = "HTTP" "/" 1*DIGIT "." 1*DIGIT

   Note that the major and minor numbers MUST be treated as separate
   integers and that each MAY be incremented higher than a single digit.
   Thus, HTTP/2.4 is a lower version than HTTP/2.13, which in turn is
   lower than HTTP/12.3. Leading zeros MUST be ignored by recipients and
   MUST NOT be sent.

I also just tried 

GET / http/1.1
Host: www.cs.columbia.edu

(which is a standard Apache server)

and this works fine.

> defines protocol-name as either literal "SIP" (case-insensitive) or token

Wait, if protocol is defined as, say

protocol-token = "FOO" | "BAR"

it would be CI. This is consistent with the use in RFC 2616, where all
tokens are defined as CI (such as character-set, content-coding,
transfer-coding, type, subtype, etc.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs